<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html
  xmlns="http://www.w3.org/1999/xhtml"
  xmlns:xi="http://www.w3.org/2001/XInclude"
  xmlns:xc="urn:xhtml-compiler"
  xc:news="yes"
  xml:lang="en">
<head>
  <title>HTML Purifier 4.6.0 released - News - HTML Purifier</title>
  <xi:include href="common-meta.xml" xpointer="xpointer(/*/node())" />
</head>
<body>

<xi:include href="common-header.xml" xpointer="xpointer(/*/node())" />

<div id="main">
<h1 id="title">HTML Purifier 4.6.0 released</h1>

<div id="content">
  <p>
HTML Purifier 4.6.0 is a major security release, fixing numerous bad
quadratic asymptotics in HTML Purifier's core algorithms.  Most users will
see a decent speedup on large inputs, although small inputs may take
longer.  Additionally, the secure URI munging algorithm has changed to
do a proper HMAC.  There are some other miscellaneous bugfixes as well.
  </p>
  <p>
    See <a
        href="http://repo.or.cz/w/htmlpurifier.git/blob/6f389f0f25b90d0b495308efcfa073981177f0fd:/NEWS">NEWS</a>
    for a complete changelog.  If you were using the secure URI munge hashing, you will need
    to update your redirector scripts.  Additionally, %Core.EscapeInvalidChildren no longer
    does anything.
  </p>
</div>
</div>
</body>
</html>
